//$HeadURL: svn+ssh://jwilden@svn.wald.intevation.org/deegree/apps/igeoportal-standard/branches/2.5_testing/gazetteerswitch.js $
/*----------------------------------------------------------------------------
 This file is part of deegree, http://deegree.org/
 Copyright (C) 2001-2009 by:
 - Department of Geography, University of Bonn -
 and
 - lat/lon GmbH -

 This library is free software; you can redistribute it and/or modify it under
 the terms of the GNU Lesser General Public License as published by the Free
 Software Foundation; either version 2.1 of the License, or (at your option)
 any later version.
 This library is distributed in the hope that it will be useful, but WITHOUT
 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 details.
 You should have received a copy of the GNU Lesser General Public License
 along with this library; if not, write to the Free Software Foundation, Inc.,
 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

 Contact information:

 lat/lon GmbH
 Aennchenstr. 19, 53177 Bonn
 Germany
 http://lat-lon.de/

 Department of Geography, University of Bonn
 Prof. Dr. Klaus Greve
 Postfach 1147, 53001 Bonn
 Germany
 http://www.geographie.uni-bonn.de/deegree/

 e-mail: info@deegree.org
----------------------------------------------------------------------------*/

function GazetteerSwitch(targetIFrame, sourceModules) {
	// variable declaration
	this.targetIFrame = targetIFrame;
	this.targetDocument = null;
	this.sourceModules = new Array();
	this.sourceModules[0] = new Array();
	
	// init source modul map
	var tmp = sourceModules.split(';');	
	for ( var i = 0; i < tmp.length; i++) {
		var tt = tmp[i].split('|');
		this.sourceModules[0]['SRC:'+tt[0]] = tt[1];
	}
	
	// method declaration
	this.paint = paint;
	this.perfom2 = perfom2;
	this.repaint = repaint;
	
	// method implementation
	function paint(targetDocument, parentNode) {
		this.targetDocument = targetDocument;
		var select = targetDocument.createElement("select");
        select.setAttribute("id", "switch");
		select.setAttribute("size", "1");
		select["onchange"]= new Function( "controller.vGazetteerSwitch.perfom2();" );
        
		for (var sourceMod in this.sourceModules[0]) {
			var option = targetDocument.createElement("option");
			option.setAttribute("value", this.sourceModules[0][sourceMod]);
			var tn = targetDocument.createTextNode(sourceMod.split(":")[1]);
			option.appendChild( tn );
			select.appendChild( option );
		}
		parentNode.appendChild( select );
	}
	
	function repaint() { }
	
	function perfom() {
		var list = this.targetDocument.getElementById("switch");
		for( var i = 0; i < list.options.length; i++) {
			if ( list.options[i].selected ) {
				var iframe = parent.document.getElementById(targetIFrame);
				iframe.src = list.options[i].value;
				break;
			}
		}
	}

	function perfom2() {
		var list = this.targetDocument.getElementById("switch");
	   var i = list.options.selectedIndex;
		var iframe = parent.document.getElementById(targetIFrame);
		iframe.src = list.options[i].value;
	}
}
